function [A_coll] = collapse(A)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function arranges a m by n matrix to a m+1 by n matrix so that     %
% every column with ordered ascending number in the first column and      %
% equal numbers in the following is collapsed into a row column with      %
% start stop and the equal numbers in the following rows.                 %
%                                                                         %
% Written by Halvor L. Aga as part of the work concerning                 %
% "Assessement if structural requirements related to LNG fuel tanks."     %
% Deadline 10. June 2013                                                  %
%                                                                         %
% Input: m by n matrix arbitrarily ordered                                %
% Output: m+1 by n ascending ordered matrix                               %
% Written by Halvor L. Aga as part of masters thesis named ""             %
% delivered on 10. June 2013                                              %
% Has been made by modification of a recorded .ses file in PATRAN         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Counter for determination of row number of output matrix
count = 1;

m = size(A,1);
n = size(A,2);
B=sortrows(A,[-n 1]);
vari1 = B(1,1);
vari2 = B(1,1);
for i = 1:m-1
    S = 1;
    
    % Test if the variables of column i and i+1 are not equal
    if B(i,1)~=B(i+1,1)-1;
        S = 0;
    else
        for j = 2:n
            if B(i,j)~=B(i+1,j)
                S = 0;
            else
            end
        end
    end
    
    % Recording collapsed rows or increases variable
    if S == 0;
        A_coll(count,:) = [vari1 vari2 B(i,2:n)];
        vari1 = B(i+1,1);
        count = count +1;
    else
    end
    vari2 = B(i+1,1);
end

% Recording the last row
A_coll(count,:) = [vari1 vari2 B(i+1,2:n)];

end