function [] = initialize(fileID,filepath1,filepath2)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function ads the necessary commands for creating a database and    %
% setting the viewport of PATRAN.                                         %
%                                                                         %
% Written by Halvor L. Aga as part of the work concerning                 %
% "Assessement if structural requirements related to LNG fuel tanks."     %
% Deadline 10. June 2013                                                  %
% Has been made by modification of recorded .ses commands in PATRAN.      %
%                                                                         %
% Build-up:                                                               %
% 1.Create database  commands                                             %
% 2.Viewport settings (Copied directly from a PATRAN recorded             %
%   session file)                                                         %
% 					     				                                  %
% Input:                                                                  %
% fileID:  file identification number of the file for writing             %
% filepath1: File path to location of files written                       %
% filepath2: File path to location of files written including .ses        % 
%            filename                                                     %
%      									                                  %
% Output:									                              %
% None                                  					              %
%										                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Adding commands to
% Create database
fprintf(fileID,'uil_file_new.go( @\n');
% Location specific command:
fprintf(fileID,'"C:\\MSC.Software\\Patran_x64\\20121/template.db",  @\n');
fprintf(fileID,'"%s" )\n',filepath1);
fprintf(fileID,'set_current_dir( "%s" )\n',filepath2);
fprintf(fileID,'uil_pref_analysis.set_analysis_preference@\n');
fprintf(fileID,'( "LS-DYNA3D", "Structural", ".key",  @\n');
fprintf(fileID,'"", "No Mapping" )\n');

% Set viewport
fprintf(fileID,'uil_toolbar.shaded_smooth(  )\n');
fprintf(fileID,'ga_view_aa_set( -67., 0., -34. )\n');
fprintf(fileID,'sys_poll_option( 2 )\n');
fprintf(fileID,'pref_fa_set( [FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE, FALSE, FALSE, FALSE, FALSE, FALSE,@\n');
fprintf(fileID,'FALSE], [6, 3, 1, 1, 5, 7, 2, 2, 8, 1, 2,@\n');
fprintf(fileID,'3, 3, 5, 2, 1, 9, 2, 10, 7, 3, 2, 3, 3, 2,@\n');
fprintf(fileID,'2, 6, 6, 6, 9, 9, 3, 5, 5, 1, 1, 2, 3, 15,@\n');
fprintf(fileID,'13], [TRUE, TRUE, TRUE, TRUE, TRUE, TRUE,@\n');
fprintf(fileID,'TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE,@\n');
fprintf(fileID,'TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE,@\n');
fprintf(fileID,'TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE,@\n');
fprintf(fileID,'TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE,@\n');
fprintf(fileID,'TRUE, TRUE, TRUE, TRUE, TRUE, TRUE], [3, 4,@\n');
fprintf(fileID,'5, 6, 1, 1, 7, 8, 9, 10], [TRUE, TRUE, TRUE,@\n');
fprintf(fileID,'TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE], FALSE )\n');
fprintf(fileID,'display_fa_vectors( TRUE )\n');
fprintf(fileID,'gm_elem_prop_init_list(  )\n');
fprintf(fileID,'ga_display_beam_set( "general", 2 )\n');
fprintf(fileID,'sys_poll_option( 0 )\n');

end